maven-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Mirko Friedenhagen <mfriedenha...@gmail.com>
Subject Re: Updating the default versions for maven-compiler-plugin
Date Sat, 07 Nov 2015 10:17:08 GMT
Am 07.11.2015 10:22 schrieb "Tamás Cservenák" <tamas@cservenak.net>:
>
> How bout starting to fail if lang level is not explicitly set and _remove_
> defaults?
>

Hello,

letting Maven fail if you do not configure language levels leads to bad
beginner's experience.

Using the level of the invoking JDK however, seems the most natural fit to
me. I am supporting about 200 developers concerning Maven questions and
before we enforced the level in our department pom, this was one of the
more frequent questions (years back).

The disadvantage would be, that environment would play a bigger role.

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message